////////////////////////////////////////////////////////////////////////////////
// File    : test1.cpp
// Content : a test for various cpp things
// History : 31-Jan-2004 - [rb] creation
////////////////////////////////////////////////////////////////////////////////

/*
    Copyright (C) 2004  Renaud Blanch <rb.hsm@laposte.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/* includes *******************************************************************/

#include <cstdlib>
#include <iostream>
#include <string>
using namespace std;


/* handle quit ****************************************************************/

void quitHandler() {
	cout << "bye." << endl;
}


/* main ***********************************************************************/

int main(int argc, const char *argv[]) {
	cout << "test - a test program." << endl;
	atexit(quitHandler);

	string path = "/Entry[0]/Entry[2]";
	size_t b, e;
	while((b = path.find("[")) != string::npos) {
		b += 1;
		e = path.find("]");
		cout << atoi(path.substr(b, e - b).c_str()) << endl;
		path = path.substr(e + 1);
	}
	
	return EXIT_SUCCESS;
}
